# $Revision: 1.9 $, $Date: 2011/02/12 21:25:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Gtk2
%define		pnam	Ex-Simple-List
Summary:	A simple interface to Gtk2's complex MVC list widget
Summary(pl.UTF-8):	Prosty interfejs do złożonego widgetu listy MVC w Gtk2
Name:		perl-%{pdir}-%{pnam}
Version:	0.50
Release:	4
License:	LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f66c71bbb794b699f0c3e8ca7cebc35b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires: perl-Gtk2 >= 1.101-2}
Requires:	perl-Gtk2 >= 1.101-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple interface to Gtk2's complex MVC list widget.

%description -l pl.UTF-8
Prosty interfejs do złożonego widgetu listy MVC w Gtk2.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/Gtk2/Ex/Simple
%{perl_vendorlib}/Gtk2/Ex/Simple/List.pm
%{perl_vendorlib}/Gtk2/Ex/Simple/TiedCommon.pm
%{perl_vendorlib}/Gtk2/Ex/Simple/TiedList.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Gtk2-Ex-Simple-List.spec,v $
Revision 1.9  2011/02/12 21:25:13  wiget
- tests requires perl-Gtk2

Revision 1.8  2011/02/12 21:20:06  wiget
- rel. 3

Revision 1.7  2008/07/27 22:36:14  arekm
- release 2

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.4  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.3  2005/11/18 17:51:00  twittner
- R: perl-Gtk2 >= 1.101-2 to avoid orphaned directoires
- rel.1

Revision 1.2  2005/11/17 18:49:53  qboosh
- pl, cleanup, added Gtk2/Ex/Simple dir

Revision 1.1  2005/11/16 22:39:45  twittner
- added
